i8c
changed/i8c/rpm-ostree-2022.10.117.g52714b51-2.el8
parent
f08fa3cdaa
commit
d2af4c7ccf
@ -1 +1 @@
|
|||||||
SOURCES/rpm-ostree-2022.10.115.g15eba7b1.tar.xz
|
SOURCES/rpm-ostree-2022.10.117.g52714b51.tar.xz
|
||||||
|
@ -1 +1 @@
|
|||||||
4ddb108fc95d35d6fce3925410459ec2452d7c5d SOURCES/rpm-ostree-2022.10.115.g15eba7b1.tar.xz
|
43d5b34cf6b8c77fc2f17429dcc1d385c885b032 SOURCES/rpm-ostree-2022.10.117.g52714b51.tar.xz
|
||||||
|
@ -0,0 +1,48 @@
|
|||||||
|
From f340dbbfd6a3acc8b85d487a32a78c4517ace1c4 Mon Sep 17 00:00:00 2001
|
||||||
|
From: Colin Walters <walters@verbum.org>
|
||||||
|
Date: Wed, 7 Dec 2022 20:14:06 -0500
|
||||||
|
Subject: [PATCH] override: Honor `--install` in container case too
|
||||||
|
|
||||||
|
Closes: https://github.com/coreos/rpm-ostree/issues/4192
|
||||||
|
---
|
||||||
|
ci/test-container.sh | 8 ++++++--
|
||||||
|
src/app/rpmostree-override-builtins.cxx | 1 +
|
||||||
|
2 files changed, 7 insertions(+), 2 deletions(-)
|
||||||
|
|
||||||
|
diff --git a/ci/test-container.sh b/ci/test-container.sh
|
||||||
|
index be0f9549..342808e4 100755
|
||||||
|
--- a/ci/test-container.sh
|
||||||
|
+++ b/ci/test-container.sh
|
||||||
|
@@ -84,11 +84,15 @@ rpm-ostree override replace --experimental --from repo=fedora-coreos-pool \
|
||||||
|
|
||||||
|
rpm -q afterburn-5.2.0-4.fc36.x86_64 afterburn-dracut-5.2.0-4.fc36.x86_64
|
||||||
|
|
||||||
|
-# test repo override by pkgname
|
||||||
|
-rpm-ostree override replace --experimental \
|
||||||
|
+# test repo override by pkgname, and also test --install
|
||||||
|
+if rpm -q strace; then
|
||||||
|
+ echo "strace should not be installed"; exit 1
|
||||||
|
+fi
|
||||||
|
+rpm-ostree override replace --install strace --experimental \
|
||||||
|
--from repo=copr:copr.fedorainfracloud.org:group_CoreOS:continuous \
|
||||||
|
afterburn \
|
||||||
|
afterburn-dracut
|
||||||
|
+rpm -q strace
|
||||||
|
|
||||||
|
# the continuous build's version has the git rev, prefixed with g
|
||||||
|
rpm -q afterburn | grep g
|
||||||
|
diff --git a/src/app/rpmostree-override-builtins.cxx b/src/app/rpmostree-override-builtins.cxx
|
||||||
|
index 41ab56f4..0c07ff53 100644
|
||||||
|
--- a/src/app/rpmostree-override-builtins.cxx
|
||||||
|
+++ b/src/app/rpmostree-override-builtins.cxx
|
||||||
|
@@ -204,6 +204,7 @@ handle_override (RPMOSTreeSysroot *sysroot_proxy, RpmOstreeCommandInvocation *in
|
||||||
|
CXX_TRY_VAR (pkgs, rpmostreecxx::stage_container_rpm_raw_fds (fds), error);
|
||||||
|
treefile->add_packages_override_replace_local (pkgs);
|
||||||
|
}
|
||||||
|
+ treefile->add_packages (util::rust_stringvec_from_strv (install_pkgs), true);
|
||||||
|
treefile->add_packages_override_remove (util::rust_stringvec_from_strv (override_remove));
|
||||||
|
return rpmostree_container_rebuild (*treefile, cancellable, error);
|
||||||
|
}
|
||||||
|
--
|
||||||
|
2.41.0
|
||||||
|
|
@ -0,0 +1,38 @@
|
|||||||
|
From cb777d950511e29dcb822b4ccba23e43cd63e9cb Mon Sep 17 00:00:00 2001
|
||||||
|
From: Joseph Marrero <jmarrero@redhat.com>
|
||||||
|
Date: Fri, 4 Aug 2023 08:27:39 -0400
|
||||||
|
Subject: [PATCH] scripts: also ignore kernel-debug-modules.posttrans
|
||||||
|
|
||||||
|
---
|
||||||
|
rust/src/scripts.rs | 13 +++++++++++++
|
||||||
|
1 file changed, 13 insertions(+)
|
||||||
|
|
||||||
|
diff --git a/rust/src/scripts.rs b/rust/src/scripts.rs
|
||||||
|
index 1f59e390..b8ab6623 100644
|
||||||
|
--- a/rust/src/scripts.rs
|
||||||
|
+++ b/rust/src/scripts.rs
|
||||||
|
@@ -21,8 +21,21 @@ static IGNORED_PKG_SCRIPTS: phf::Set<&'static str> = phf_set! {
|
||||||
|
// XXX: we should probably change this to instead ignore based on the kernel virtual Provides
|
||||||
|
"kernel.posttrans",
|
||||||
|
"kernel-core.posttrans",
|
||||||
|
+ "kernel-modules.posttrans",
|
||||||
|
+ "kernel-redhat-core.posttrans",
|
||||||
|
+ "kernel-redhat-modules.posttrans",
|
||||||
|
"kernel-debug-core.posttrans",
|
||||||
|
+ "kernel-debug-modules.posttrans",
|
||||||
|
+ "kernel-redhat-debug-core.posttrans",
|
||||||
|
+ "kernel-redhat-debug-modules.posttrans",
|
||||||
|
"kernel-automotive-core.posttrans",
|
||||||
|
+ "kernel-automotive-modules.posttrans",
|
||||||
|
+ "kernel-automotive-debug-core.posttrans",
|
||||||
|
+ "kernel-automotive-debug-modules.posttrans",
|
||||||
|
+ "kernel-rt-core.posttrans",
|
||||||
|
+ "kernel-rt-modules.posttrans",
|
||||||
|
+ "kernel-rt-debug-core.posttrans",
|
||||||
|
+ "kernel-rt-debug-modules.posttrans",
|
||||||
|
// Additionally ignore posttrans scripts for the Oracle Linux `kernel-uek` package
|
||||||
|
"kernel-uek.posttrans",
|
||||||
|
// Legacy workaround
|
||||||
|
--
|
||||||
|
2.41.0
|
||||||
|
|
Loading…
Reference in new issue